1e42cd6be3979a977ed8c67f0966d71fb0e5de2f
2 # Desc: Apply metadata to photos
3 # Usage: bkphotometa.sh [FILE in]
4 # Ref/Attrib: [1]. Creative Commons XMP recommendation. (2015). https://wiki.creativecommons.org/wiki/XMP
5 # [2]. Eva, Johannes. (2023-03-30). “How to edit EXIF metadata via the command line with ExifTool”. libre-software.net. https://libre-software.net/linux/edit-metadata-exiftool/
6 # [2]. “XMP Tags”. (2023-06-08). exiftool.org. https://exiftool.org/TagNames/XMP.html
8 # Depends: * exiftool 12.16 (https://exiftool.org/ )
12 strCreator
="Steven Baltakatei Sandoval";
13 strCreatorURL
="https://baltakatei.com";
14 strTerms
="This work is licensed to the public under the Creative Commons Attribution-ShareAlike license http://creativecommons.org/licenses/by-sa/4.0/ .";
15 strLicenseURL
="http://creativecommons.org/licenses/by-sa/4.0/";
17 yell
() { echo "$0: $*" >&2; } # print script path and all args to stderr
18 die
() { yell
"$*"; exit 111; } # same as yell() but non-zero exit status
19 must
() { "$@" || die
"cannot $*"; } # runs args as command, reports args if command fails
25 if [[ ! -f "$1" ]]; then die
"FATAL:Not a file:$1"; fi;
26 if ! command -v exiftool
1>/dev
/random
2>&1; then
27 die
"FATAL:exiftool not available. See https://exiftool.org/ ."; fi;
30 # Check if exiftool recognizes the file format
31 if ! exiftool
-s -FileType "$file_in" 1>/dev
/random
; then
32 yell
"ERROR:File type not recognized by exiftool:$file_in";
35 # Change file metadata
37 cmd_args
+=("exiftool");
38 # cmd_args+=("-overwrite_original"); # hashtag reckless
41 cmd_args
+=("-XMP-dc:Rights=""$value"); unset value
;
44 cmd_args
+=("-XMP-xmpRights:Marked=""$value"); unset value
;
47 cmd_args
+=("-XMP-xmpRights:UsageTerms=""$value"); unset value
;
49 value
="$strLicenseURL";
50 cmd_args
+=("-XMP-cc:license=""$value"); unset value
;
53 cmd_args
+=("-XMP-cc:AttributionName=""$value"); unset value
;
55 value
="$strCreatorURL";
56 cmd_args
+=("-XMP-cc:AttributionURL=""$value"); unset value
;
58 cmd_args
+=("$file_in");
66 # Author: Steven Baltakatei Sandoval